Author Topic: 2019/10/17 - The Forgettable Dungeon - Early Access Release  (Read 4930 times)

Just saw your r/games post (is self promotion allowed there?), my backlog is too big right now, but eventually.

I never know what is up with reddit and self promotion.

I know people like my game when I post it, however reddit rules are weird and seem to go against people posting their own things.


neato
will need to test if my steam controllers work with it this time
i remember last time they were being grumpy

this is offtopic, but the other dev topics are too old for replies. what was the BL r2001 update?

this is offtopic, but the other dev topics are too old for replies. what was the BL r2001 update?
band-aid patch to make the game run on macos catalina fix issues with some macos versions in general
« Last Edit: December 10, 2019, 01:59:32 PM by Mr Queeba »

band-aid patch to make the game run on macos catalina
Ooh. So I can update my Mac now and Blockland will still run?

Ooh. So I can update my Mac now and Blockland will still run?
yes afaik

Hm. It no longer says Blockland won't work when I go to update, but it still says that the Blockland Launcher will no longer work.
Fix it pls Badspot.

EDIT: PM'ed Badspot.

r2001 was to fix old mac support that I broke in the previous update.  Blockland seems to work on whatever version of macOS i have on my old mac mini, however steam does not, so I'm not really interested in debugging it further.  Catalina is deprecating support for OpenGL, which Blockland relies upon.  I am not going to rewrite the entire torque renderer to support whatever Apple has decided is the future of rendering (until they change their minds).  I am pretty much done with dealing with Apple, the entire endeavor was probably a net loss for me. 
« Last Edit: December 10, 2019, 11:15:27 AM by jes00 »

for clarification: opengl was depreciated in 10.14 mojave which was released a year ago. macos can still run opengl programs however the api is no longer actively maintained in favor of metal (their own proprietary api) and may or may not be removed in a future major release.
i may do some of my own testing to see if catalina works with r2001, so stay tuned for that
« Last Edit: December 10, 2019, 02:00:59 PM by Mr Queeba »